note
	description: "Summary description for {CIRCLE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	CIRCLE

create
	make

feature

	make (a_center: POINT; a_radius: REAL)
		require
			a_radius >= 0
			a_center /= Void
		do
			create top_left.make (a_center.x - a_radius, a_center.y + a_radius)
			create bottom_right.make (a_center.x + a_radius, a_center.y - a_radius)
		ensure
			radius = a_radius
			center /= Void and then center.x = a_center.x and then center.y = a_center.y
		end

feature

	top_left: POINT
	bottom_right: POINT

	center: POINT
		do
			create Result.make ((top_left.x + bottom_right.x) / 2, (top_left.y + bottom_right.y) / 2)
		end

	radius: REAL
		do
			Result := (bottom_right.x - top_left.x) / 2
		end

	area: REAL
		do
			Result := (PI * radius ^ 2).truncated_to_real
		end

	info: STRING
		do
			Result := "(center=" + center.info + ", radius=" + radius.out + ")"
		end

feature

	PI: REAL = 3.14

end
