note
	description : "project application root class"
	date        : "$Date$"
	revision    : "$Revision$"

class
	TEST

inherit
	ARGUMENTS

create
	make

feature {NONE} -- Initialization

	make
			-- Run application.

		do
			test_point_instantiation
			test_output_of_point
			test_circle_instantiation
			test_circle_area
			test_alias
		end

feature

	test_point_instantiation
		local
			l_point: POINT
		do
			create l_point.make (1.0, 2.0)

			check
				l_point /= Void 
						and then l_point.x = 1.0 
						and then l_point.y = 2.0
			end
		end

	test_output_of_point
		local
			l_point: POINT
		do
			create l_point.make (1, 2)
			Io.put_string (l_point.info)
		end

	test_circle_instantiation
		local
			l_point: POINT
			l_circle: CIRCLE
		do
			create l_point.make (0.1, 0.2)
			create l_circle.make (l_point, 0.1)

			check
				l_circle /= Void
						and then l_circle.center.x = l_point.x
						and then l_circle.center.y = l_point.y
						and then l_circle.radius = 0.1
			end
		end

	test_circle_area
		local
			l_point: POINT
			l_circle: CIRCLE
		do
			create l_point.make (1, 2)
			create l_circle.make (l_point, 1)

			check
				l_circle /= Void 
						and then l_circle.area = l_circle.pi
			end
			Io.put_string (l_circle.info)
		end

	test_alias
		local
			l_point: POINT
			l_circle: CIRCLE
		do
			create l_point.make (1, 2)
			create l_circle.make (l_point, 1)

			Io.put_string (l_circle.info + "%N")
			l_point.set_x (l_point.x + 1)
			Io.put_string (l_circle.info + "%N")
		end


end
